## goffice-0.8 0.8.17

=== debian/changelog ===
goffice-0.8 (0.8.17-8) unstable; urgency=medium

  * New patches to fix FTBFS gtk-doc-tools 1.26 (Closes: #876610).
  * No longer build/install HTML docs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Oct 2017 22:37:27 +1100

goffice-0.8 (0.8.17-7) unstable; urgency=medium

  * Build-Depends += "intltool" (Closes: #837827).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Nov 2016 10:57:37 +1100

goffice-0.8 (0.8.17-6) unstable; urgency=medium

  * Updated .symbols file from build logs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 22 Aug 2016 16:45:51 +1000

goffice-0.8 (0.8.17-5) unstable; urgency=medium

  [ Adrian Bunk <bunk@stusta.de> ]
  * Patch to fix FTBFS with gcc 6 (Closes: #831144, #829926).

  [ Dmitry Smirnov ]
  * Updated .symbols file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Aug 2016 13:42:16 +1000

goffice-0.8 (0.8.17-4) unstable; urgency=medium

  * New patch to fix FTBFS with GCC-6 (Closes: #812013).
    Thanks, Robert Bihlmeyer.
  * Modernised Vcs URLs.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 19:56:22 +1000

goffice-0.8 (0.8.17-3) unstable; urgency=low

  * Standards to "3.9.4".
  * debhelper & compat to version 9:
    + dh-style rules rewrite.
    + get ABI/API versions from "configure.in".
    + parallel build.
  * Dropped "symbols.longdouble" + minor .symbols update.
  * Corrected short -dev package description.
  * Updated "fix-pcre.patch" to remove obsolete pcre check
    (Closes: #718938).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 08 Aug 2013 00:56:25 +1000

goffice-0.8 (0.8.17-2) unstable; urgency=low

  * Renamed source package to "goffice-0.8" (Closes: #702656).
  * Renamed "goffice-dbg" to "goffice-0.8-dbg".
  * Replaced "autotools-dev" with "dh-autoreconf" and added new patch to
    fix FTBFS in `configure` (bug-goffice: #670316).
  * Hardening (old style).
  * Enabled verbose build with "--disable-silent-rules".
  * Removed unnecessary versioned dependencies and unknown packages.
  * Dropped redundant Section fields; sorted list of Build-Depends.
  * Vcs links to repository at collab-maint.
  * Updated debian/watch to check for 0.8.* tarballs only.
  * New maintainer; thanks for all your work J.H.M. Dassen (Ray).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 May 2013 18:30:49 +1000

goffice (0.8.17-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make package binNMU safe by using ${source:Version} instead of
    ${binary:Version} in dependency on libgoffice-0.8-8-common (closes:
    #672842). Thanks to Pino Toscano (pino) for providing the patch.

 -- Micha Lenk <micha@debian.org>  Thu, 14 Jun 2012 21:18:08 +0200

goffice (0.8.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: 
    - debian/rules: Replace manual update of config.{sub,guess} with 
    dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig.
    - debian/control: Add autotools-dev as a build dependency.
    - Remove debian/patches/refresh-config-sub-guess-0.8.17-1: it's not 
      needed any more. Remove debian/patches: there are no patches.
    (Closes: #662650)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sat, 24 Mar 2012 01:20:10 +0100

goffice (0.8.17-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 01 Aug 2011 18:43:00 +0200

goffice (0.8.16-1) unstable; urgency=low

  * New upstream stable release. Changes include
    * Fix GOFormat problem resulting in "-0". (Closes: #627675)
  * [debian/libgoffice-0.8-8.symbols,
    debian/libgoffice-0.8-8.symbols.longdouble] Update for new symbols.
  * [debian/rules] Added "build-arch" and "build-indep" targets; distribute
    declaration of phony targets.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 18 Jun 2011 13:31:48 +0200

goffice (0.8.15-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/libgoffice-0.8-8.symbols] Update for new symbols.
  * [debian/rules] Remove .la files. (Closes: #621244)
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 22 May 2011 19:03:09 +0200

goffice (0.8.14-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 26 Mar 2011 10:42:35 +0100

goffice (0.8.13-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 03 Feb 2011 20:31:12 +0100

goffice (0.8.12-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/libgoffice-0.8-8.symbols,
    debian/libgoffice-0.8-8.symbols.longdouble] Update for new symbols.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 26 Nov 2010 20:16:30 +0100

goffice (0.8.11-3) unstable; urgency=high

  * Deal with symbol differences between architectures to fix FTBFS on
    architectures where goffice is built without GOFFICE_WITH_LONG_DOUBLE
    (i.e. architectures which do not have a "long double" data type with
    more range or precision than "double"). (Closes: #601301).
    Thanks Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for reporting.
  * [debian/libgoffice-0.8-8.symbols.longdouble] New, for symbols that are
    only available when goffice is built with GOFFICE_WITH_LONG_DOUBLE.
  * [debian/libgoffice-0.8-8.symbols] Include
    libgoffice-0.8-8.symbols.longdouble on appropriate architectures.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 27 Oct 2010 12:56:59 +0200

goffice (0.8.11-2) unstable; urgency=low

  * [debian/libgoffice-0.8-8.symbols] New. Thanks Micha Lenk
    <micha@debian.org>. (Closes: #599225)
  * [debian/rules] Default to strict dpkg-gensymbols checks.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 16 Oct 2010 17:52:39 +0200

goffice (0.8.11-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/libgoffice-0.8-dev.links] Corrected; the documentation is now
    accessible via devhelp again.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 02 Oct 2010 11:11:03 +0200


