=== debian/control ===
Source: goffice-0.8
Section: libs
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, dh-autoreconf
              ,gtk-doc-tools
              ,intltool
              ,libcairo2-dev
              ,libcairo2-doc
              ,libgconf2-dev
              ,libglade2-dev
              ,libglib2.0-dev
              ,libglib2.0-doc
              ,libgsf-1-dev
              ,libgtk2.0-dev
              ,libgtk2.0-doc
              ,libpango1.0-dev
              ,libpango1.0-doc
              ,libxext-dev
              ,libxrender-dev
              ,libxml-parser-perl
              ,libxml2-dev
              ,libxml2-doc
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git?h=goffice-0.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/goffice.git
Standards-Version: 3.9.8

Package: libgoffice-0.8-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgoffice-0.8-8 (= ${binary:Version})
        ,libglib2.0-dev
        ,libxml2-dev
        ,libgtk2.0-dev
        ,libglade2-dev
        ,libcairo2-dev
        ,libgconf2-dev
        ,libgsf-1-dev
Description: Document centric objects library - development files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-0.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgoffice-0.8-8 (= ${binary:Version}), ${misc:Depends}
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0.8-8
Architecture: any
Depends: ${shlibs:Depends}, libgoffice-0.8-8-common (>= ${source:Version}), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0.8-8-common
Architecture: all
Depends: ${misc:Depends}
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.
