=== debian/watch ===
version=3

 http://ftp.gnome.org/pub/gnome/sources/goffice/0.8//goffice-([\d\.]+)\.tar\.xz
